
D4Science Infrastructure - Task #3181

Update RStudio on rstudio.d4science.org

Apr 11, 2016 04:04 PM - Gianpaolo Coro

Status: Closed Start date: Apr 11, 2016

Priority: Urgent Due date: Apr 15, 2016

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: External Tools   

Infrastructure: Development, Production   

Description

There is a discrepancy between the RStudio installation and the R installation. When starting the RStudio interface on 

http://rstudio.d4science.org/ the following error occurs:

Error in tools:::httpdPort > 0L : 

  comparison (6) is possible only for atomic and list types

11 Apr 2016 13:57:35 [rsession-gianpaolo.coro] ERROR r error 4 (R code execution error) [errormsg=

Error in tools:::httpdPort > 0L : 

  comparison (6) is possible only for atomic and list types

]; OCCURRED AT: core::Error r::exec::<unnamed>::evaluateExpressionsUnsafe(SEXPREC*, SEXPREC*, SEXP

REC**, r::sexp::Protect*) /home/ubuntu/rstudio/src/cpp/r/RExec.cpp:148; LOGGED FROM: core::Error s

ession::modules::help::initialize() /home/ubuntu/rstudio/src/cpp/session/modules/SessionHelp.cpp:8

92

 Which is probably due to an obsolete version of RStudio (see 

http://r.789695.n4.nabble.com/Warning-message-when-starting-RStudio-td4706292.html)

History

#1 - Apr 11, 2016 04:04 PM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'Amico to _InfraScience Systems Engineer

#2 - Apr 11, 2016 05:01 PM - Pasquale Pagano

- Priority changed from Normal to Immediate

Tomorrow there will be a course in Pisa lasting on Thursday. This is one of the service that will be used. I think it is urgent to fix this issue. Thanks.

#3 - Apr 11, 2016 06:11 PM - Andrea Dell'Amico

- Priority changed from Immediate to Urgent

- Infrastructure Development added

Gianpaolo does not need an updated rstudio.d4science.org for his teaching. Let's proceed this way

update R and rstudio-server on rstudio-dev.d4science.org, and test that it works without errors (automate the rstudio-server installation

procedure)

When rstudio-dev.d4science.org works, update rstudio.d4science.org the same way

Note that I added 2 additional GB of RAM to the rstudio.d4science.org VM because I've seen OOM errors in the logs. They are old, but all the

memory is used right now. The VM need to be shutdown/restarted to see the additional memory.

#4 - Apr 11, 2016 06:15 PM - Andrea Dell'Amico

- Due date set to Apr 15, 2016

GP is asking to complete the upgrade not later than Friday 15th.

#5 - Apr 14, 2016 04:49 PM - Gabriele Giammatteo

I see #630 more appropriate as parent task for this ticket. If you agree, please update it
#6 - Apr 14, 2016 04:54 PM - Gianpaolo Coro

- Parent task changed from #698 to #630

#7 - Apr 15, 2016 02:12 PM - Massimiliano Assante

- Tracker changed from Support to Task

#8 - Apr 15, 2016 03:30 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#9 - Apr 15, 2016 05:08 PM - Andrea Dell'Amico

- % Done changed from 0 to 60

rstudio-dev.d4science.org is now running rstudio-server 0.99 and R 3.2.3 with the same set of R plugins that are currently installed on

rstudio.d4science.org.

#10 - May 05, 2016 02:04 PM - Andrea Dell'Amico

@gianpaolo.coro@isti.cnr.it did you have the time to test if rstudio server is working on rstudio-dev.d4science.org?

#11 - May 19, 2016 04:16 PM - Gianpaolo Coro

I cannot access to rstudio-dev.d4science.org. Both TabMan and direct access to the RStudio url send me to 

http://rstudio-dev.d4science.org/r-connector/gcube/service/disconnect , which says that I'm disconnected. Perhaps this requires updating the RStudio

Connector. @lucio.lelii@isti.cnr.it could you please give it a look?

#12 - May 19, 2016 06:27 PM - Lucio Lelii

The problem seems related to the configuration of Rstudio server with LDAP. @tommaso.piccioli@isti.cnr.it is checking what happened.

#13 - May 19, 2016 08:09 PM - Tommaso Piccioli

Could you please test rstudio-dev from the portal?

#14 - May 20, 2016 02:16 PM - Gianpaolo Coro

It works both via TabMan and via portal now.

#15 - May 23, 2016 11:41 AM - Andrea Dell'Amico

Gianpaolo Coro wrote:

It works both via TabMan and via portal now.

 @gianpaolo.coro@isti.cnr.it  Did you also check if the server works well with the new version of R?

#16 - May 23, 2016 12:27 PM - Gianpaolo Coro

Yes, it works.

#17 - May 30, 2016 01:32 PM - Andrea Dell'Amico

Let us know when the production server can be upgraded, then.

#18 - May 30, 2016 02:37 PM - Gianpaolo Coro

The infrastructure upgrade of today would be the best moment.

#19 - May 30, 2016 02:57 PM - Andrea Dell'Amico

OK

#20 - May 30, 2016 03:34 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 60 to 100

The production server is now running rstudio-server-0.99.902
#21 - May 30, 2016 08:36 PM - Andrea Dell'Amico

It seems that after the upgrade the option

auth-minimum-user-id=1000

 is needed inside /etc/rserver/rserver.conf

#22 - Jun 22, 2016 11:02 AM - Gianpaolo Coro

- Status changed from Feedback to Closed
